---
################################################
# General configuration
################################################

name: BS1534-1a
master_seed: 25
prerun_seed: 2

input_path: "experiments/selection/BS1534-1a/proc_input"
output_path: "experiments/selection/BS1534-1a/proc_output"
use_windows_codec_binaries: true
condition_in_output_filename: true

################################################
### Input configuration
################################################
input:
    fmt: "STEREO"
    fs: 48000
    aligned_to:
        len: 20

################################################
### Pre-processing on individual items
################################################
preprocessing:
    mask: "20KBP"
    loudness: -26
    window: 100

################################################
### Pre-processing on whole signal(s)
################################################
preprocessing_2:
    concatenate_input: true
    preamble_noise: false
    repeat_signal: true

#################################################
### Bitstream processing
#################################################

################################################
### Configuration for conditions under test
################################################
conditions_to_generate:
    ### Reference and anchor conditions ##########################
    # c01:
    #     type: ref
    # c02:
    #     type: lp7k
    #
    # ### EVS condition ################################
    # c03:
    #     type: evs
    #     bitrates:
    #         - 24400
    #     cod:
    #         opts: ["-max_band", "FB"]
    #     dec:
    # c04:
    #     type: evs
    #     bitrates:
    #         - 32000
    #     cod:
    #         opts: ["-max_band", "FB"]
    #     dec:
    # c05:
    #     type: evs
    #     bitrates:
    #         - 48000
    #     cod:
    #         opts: ["-max_band", "FB"]
    #     dec:

    ### IVAS condition ###############################
    c06:
        type: ivas
        bitrates:
            - 48000
        cod:
        dec:
            fmt: "STEREO"
    c07:
        type: ivas
        bitrates:
            - 48000
        cod:
        tx:
            type: "JBM"
            error_pattern: "dly_error_profile_5.dat"
        dec:
            fmt: "STEREO"

################################################
### Post-processing
################################################
postprocessing:
    fmt: "STEREO"
    fs: 48000
    loudness: -26
